Bug 242815 - Kernel panic - unable to initialize LVM VolGroup
Kernel panic - unable to initialize LVM VolGroup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 18:25 EDT by Paul Ezvan
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 17:55:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Ezvan 2007-06-05 18:25:32 EDT
Description of problem:
I have upgraded from fc6 with the anaconda installer. The fstab use /boot label
for boot partition, and a LVM VolGroup is mounted on / .
When I try to boot with kernel-2.6.21-1.3194.fc7, I get a kernel panic because
kernel is unable to mount root filesystem.
I get these messages : 
device-mapper : table : 253 : 0 : striped : Couldn't parse stripe destination
device-mapper : reload ioctl failed : No such device or address
No Volume groups found

The systems boot on /dev/sdc, which contains a ntfs partition. I get the
messages above when I boot directly on the disc containing the /boot partition,
and unpluging the disc containing the ntfs partition.
When I boot on /dev/sdc, I get some other errors :
/dev/sdc2 : read failed after 0 of 512 at 429499351040 : Input/output error
/dev/sdc3 : read failed after 0 of 512 at 510228328 : Input/output error
And many other like this. There is no sdc2 or sdc3 partitions.
Plus the previous errors.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3194.fc7

How reproducible:
Always

Steps to Reproduce:
1.LVM VolGroup on three partitions, two are on a RAID 0 SATA volume and one on
an ATA disc.
2.boot with kernel-2.6.21-1.3194.fc7
3.
  
Actual results:
Unable to initialize LVM VolGroup.

Expected results:
Initialization of LVM VolGroup.

Additional info:
I think the problem isn't caused by the upgrade, because as said in the release
notes, all the partitions have been labeled or on a LVM VolGroup.
Comment 1 Paul Ezvan 2007-06-05 18:26:48 EDT
More infos :

[root@gen2 ~]# fdisk -l

Disk /dev/hda: 123.5 GB, 123522416640 bytes
255 heads, 63 sectors/track, 15017 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1   *           1       15016   120615988+   7  HPFS/NTFS

Disk /dev/hdb: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hdb1   *           1          13      104391   83  Linux
/dev/hdb2              14       30401   244091610   83  Linux

Disk /dev/sda: 251.0 GB, 251000193024 bytes
255 heads, 63 sectors/track, 30515 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1        2611    20972826   8e  Linux LVM
/dev/sda2   *        2612       54828   419433052+   7  HPFS/NTFS
/dev/sda3           54829       61031    49825597+  8e  Linux LVM

Disk /dev/sdb: 251.0 GB, 251000193024 bytes
255 heads, 63 sectors/track, 30515 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

Disk /dev/sdb doesn't contain a valid partition table

Disk /dev/dm-1: 21.4 GB, 21476173824 bytes
255 heads, 63 sectors/track, 2610 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

Disk /dev/dm-1 doesn't contain a valid partition table

Disk /dev/dm-2: 429.4 GB, 429499445760 bytes
255 heads, 63 sectors/track, 52217 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

Disk /dev/dm-2 doesn't contain a valid partition table

Disk /dev/dm-3: 51.0 GB, 51021411840 bytes
255 heads, 63 sectors/track, 6203 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

Disk /dev/dm-3 doesn't contain a valid partition table

[root@gen2 ~]# lspci
00:00.0 Host bridge: nVidia Corporation nForce2 AGP (different version?) (rev c1)
00:00.1 RAM memory: nVidia Corporation nForce2 Memory Controller 1 (rev c1)
00:00.2 RAM memory: nVidia Corporation nForce2 Memory Controller 4 (rev c1)
00:00.3 RAM memory: nVidia Corporation nForce2 Memory Controller 3 (rev c1)
00:00.4 RAM memory: nVidia Corporation nForce2 Memory Controller 2 (rev c1)
00:00.5 RAM memory: nVidia Corporation nForce2 Memory Controller 5 (rev c1)
00:01.0 ISA bridge: nVidia Corporation nForce2 ISA Bridge (rev a4)
00:01.1 SMBus: nVidia Corporation nForce2 SMBus (MCP) (rev a2)
00:02.0 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:02.1 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:02.2 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet Controller (rev a1)
00:05.0 Multimedia audio controller: nVidia Corporation nForce Audio Processing
Unit (rev a2)
00:06.0 Multimedia audio controller: nVidia Corporation nForce2 AC97 Audio
Controler (MCP) (rev a1)
00:08.0 PCI bridge: nVidia Corporation nForce2 External PCI Bridge (rev a3)
00:09.0 IDE interface: nVidia Corporation nForce2 IDE (rev a2)
00:0d.0 FireWire (IEEE 1394): nVidia Corporation nForce2 FireWire (IEEE 1394)
Controller (rev a3)
00:1e.0 PCI bridge: nVidia Corporation nForce2 AGP (rev c1)
01:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit
Ethernet (rev 10)
01:07.0 Multimedia video controller: Conexant CX23880/1/2/3 PCI Video and Audio
Decoder (rev 05)
01:07.2 Multimedia controller: Conexant CX23880/1/2/3 PCI Video and Audio
Decoder [MPEG Port] (rev 05)
01:0b.0 RAID bus controller: Silicon Image, Inc. SiI 3112 [SATALink/SATARaid]
Serial ATA Controller (rev 02)
02:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7800 GS] (rev a2)
I am currently running kernel-2.6.20-1.2952.fc6.
Comment 2 Paul Ezvan 2007-06-15 08:12:16 EDT
The same problem occurs with kernel-2.6.21-1.3228.fc7 .
Comment 3 Christopher Brown 2007-09-13 17:41:47 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 4 Paul Ezvan 2007-09-13 17:48:24 EDT
I am sorry but I have installed another distro since the problem wasn't
resolved, so I can not help you to resolve the bug. Should I close it ?
Comment 5 Christopher Brown 2007-09-13 17:55:01 EDT
(In reply to comment #4)
> I am sorry but I have installed another distro since the problem wasn't
> resolved, so I can not help you to resolve the bug. Should I close it ?

I don't blame you Paul. Thanks for filing the bug anyway. I will close as
leaving it open will generate more requests for info which you will obviously be
unable to provide.

Cheers
Chris

Note You need to log in before you can comment on or make changes to this bug.